#!/bin/sh
#****************************************************************************
#
#   MODULE              inst_bftpd.sh
#
#   DESCRIPTION         Installer for the bftpd app.
#
#   THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
#   ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPRODUCED, COPIED, OR USED IN
#   WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
#   PURSUANT TO WHICH IT WAS FURNISHED.
#
#   COPYRIGHT (c) ATTO TECHNOLOGY, INC. 2020
#   ALL RIGHTS RESERVED.
#
#
#*****************************************************************************

#Uninstall requested
if [ $# -ne 0 ]; then
  if [ "$1" = "-u" ]; then
    
    rm -f /usr/sbin/attofile.py
    rm -f /usr/sbin/extract_attofile.sh
    rm -rf /home/admin/ftp
    
    exit 0
  fi
fi

# untar bftpd into the local directory
tar -xf bftpd.tar
# attofile.py and bftpd go to /usr/sbin/
mv attofile.py /usr/sbin/
mv extract_attofile.sh /usr/sbin

# TODO: Eventually get the tarball not to even include the elf  
rm bftpd_app.elf
# Make the ftp and log dirs.  -p makes parents and supresses
#  the 'File exists' message.
mkdir -p /home/admin/ftp

# Normally there's a system service, but not for bftpd

# clean up the tar file
rm bftpd.tar

